(ns user
  (:require
   [clojure.repl :refer :all]
   [clojure.pprint :refer [pprint]]
   [com.stuartsierra.component :as component]
   [attendant.main :as main]
   [rebel-readline.core :as rebel-core]
   [rebel-readline.clojure.main :as rebel-clj-main]))

(defn -main []
  (println "==> starting main system")
  (reset!
   main/system
   (component/start
    (main/main-system :dev true)))
  (println "==> starting rebel-readline")
  (rebel-core/ensure-terminal
   (rebel-clj-main/repl* {})))
